"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.content = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _clsx = _interopRequireDefault(require("clsx"));

require("./footer.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const content = {
  en: {
    help: "I need help"
  },
  tr: {
    "find-out": "Kleros hakkında detaylı bilgi için",
    help: "Yardıma ihtiyacım var"
  },
  fr: {
    help: "J’ai besoin d’aide"
  },
  pt: {
    help: "Preciso de ajuda"
  },
  es: {
    help: "Necesito ayuda"
  },
  ru: {
    help: "Мне нужна помощь"
  },
  "pt-BR": {
    help: "Preciso de ajuda"
  }
};
exports.content = content;
const DEFAULT_LOCALE = "en";

class Footer extends _react.default.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "getContent", (locale, key) => Object.keys(content).includes(locale) ? content[locale][key] : content[DEFAULT_LOCALE][key]);
  }

  doRenderHelpLink() {
    const {
      locale,
      renderHelpLink
    } = this.props;
    const helpContent = this.getContent(locale, "help");

    const helpIcon = /*#__PURE__*/_react.default.createElement("svg", {
      className: "g-kleros_footer__icon",
      width: "18",
      height: "18",
      viewBox: "0 0 18 18",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M9 0.28125C4.18511 0.28125 0.28125 4.18651 0.28125 9C0.28125 13.8163 4.18511 17.7188 9 17.7188C13.8149 17.7188 17.7188 13.8163 17.7188 9C17.7188 4.18651 13.8149 0.28125 9 0.28125ZM9 16.0312C5.11411 16.0312 1.96875 12.8872 1.96875 9C1.96875 5.11541 5.11425 1.96875 9 1.96875C12.8844 1.96875 16.0312 5.11421 16.0312 9C16.0312 12.8858 12.8872 16.0312 9 16.0312ZM12.7703 7.05938C12.7703 9.41667 10.2242 9.45295 10.2242 10.3241V10.5469C10.2242 10.7799 10.0354 10.9688 9.80237 10.9688H8.19759C7.96461 10.9688 7.77572 10.7799 7.77572 10.5469V10.2425C7.77572 8.9858 8.72845 8.48345 9.44842 8.07978C10.0658 7.73367 10.4442 7.49827 10.4442 7.0399C10.4442 6.43359 9.67078 6.03116 9.04553 6.03116C8.23029 6.03116 7.85394 6.41707 7.32491 7.08476C7.18228 7.26476 6.92202 7.29819 6.739 7.15943L5.76081 6.4177C5.58127 6.28158 5.54105 6.02866 5.66786 5.84244C6.49849 4.62273 7.55648 3.9375 9.2037 3.9375C10.9288 3.9375 12.7703 5.28413 12.7703 7.05938ZM10.4766 12.9375C10.4766 13.7517 9.81418 14.4141 9 14.4141C8.18582 14.4141 7.52344 13.7517 7.52344 12.9375C7.52344 12.1233 8.18582 11.4609 9 11.4609C9.81418 11.4609 10.4766 12.1233 10.4766 12.9375Z"
    }));

    if (typeof renderHelpLink !== "function") {
      return /*#__PURE__*/_react.default.createElement("a", {
        className: "g-kleros_footer__anchor",
        href: "https://t.me/kleros"
      }, helpContent, " ", helpIcon);
    }

    const node = renderHelpLink({
      content: helpContent,
      icon: helpIcon
    });
    return /*#__PURE__*/_react.default.cloneElement(node, {
      className: [node.props.className, "g-kleros_footer__anchor"].filter(c => !!c).join(" ")
    });
  }

  render() {
    const {
      appName,
      contractExplorerURL,
      repository,
      footerElProps,
      className
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("footer", _extends({
      className: (0, _clsx.default)("g-kleros_footer", className)
    }, footerElProps), /*#__PURE__*/_react.default.createElement("div", {
      className: "g-kleros_footer__banner"
    }, /*#__PURE__*/_react.default.createElement("a", {
      href: "https://kleros.io",
      className: "g-kleros_footer__anchor",
      style: {
        display: "flex",
        alignItems: "center"
      }
    }, /*#__PURE__*/_react.default.createElement("svg", {
      width: "130",
      height: "24",
      viewBox: "0 0 130 24",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg"
    }, /*#__PURE__*/_react.default.createElement("g", {
      clipPath: "url(#clip0)"
    }, /*#__PURE__*/_react.default.createElement("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M3.94811 13.4681C3.94811 14.0162 3.74986 14.4464 3.35336 14.7584C2.95687 15.0704 2.40992 15.2264 1.71253 15.2264C1.01515 15.2264 0.444303 15.1182 0 14.9017V13.9488C0.281204 14.0809 0.579281 14.1849 0.894234 14.2608C1.21199 14.3367 1.50725 14.3746 1.78002 14.3746C2.17934 14.3746 2.4732 14.2988 2.6616 14.147C2.85282 13.9952 2.94843 13.7913 2.94843 13.5355C2.94843 13.305 2.86125 13.1097 2.68691 12.9494C2.51256 12.7892 2.15262 12.5994 1.60709 12.3801C1.04467 12.1524 0.648176 11.8924 0.417589 11.6C0.187001 11.3077 0.0717071 10.9563 0.0717071 10.5458C0.0717071 10.0314 0.25449 9.62663 0.620055 9.33143C0.985622 9.03623 1.47633 8.88867 2.09216 8.88867C2.68269 8.88867 3.2704 9.01801 3.85531 9.27658L3.53474 10.0989C2.98639 9.86841 2.4971 9.75312 2.06685 9.75312C1.74066 9.75312 1.49319 9.82476 1.32447 9.96814C1.15575 10.1088 1.07139 10.2957 1.07139 10.529C1.07139 10.6892 1.10513 10.827 1.17262 10.9423C1.24011 11.0547 1.35118 11.1615 1.50585 11.2627C1.66051 11.3639 1.93891 11.4975 2.34102 11.6633C2.79377 11.8516 3.12559 12.0273 3.33649 12.1904C3.54739 12.3535 3.70206 12.5376 3.80048 12.7428C3.89889 12.948 3.94811 13.1897 3.94811 13.4681ZM8.63019 15.1424H5.14185V8.97754H8.63019V9.82936H6.14996V11.5076H8.47412V12.351H6.14996V14.2864H8.63019V15.1424ZM11.2242 10.3688C11.5561 9.95836 12.0116 9.75312 12.5909 9.75312C12.8468 9.75312 13.09 9.79107 13.3206 9.86698C13.554 9.94005 13.7747 10.0258 13.9828 10.1241L14.3456 9.28503C13.8113 9.02076 13.2292 8.88867 12.5993 8.88867C12.0003 8.88867 11.4787 9.01658 11.0344 9.2724C10.5901 9.52823 10.2498 9.89649 10.0136 10.3772C9.78023 10.8579 9.66357 11.4187 9.66357 12.0597C9.66357 13.0773 9.90534 13.8602 10.389 14.4084C10.8728 14.9537 11.5659 15.2264 12.4685 15.2264C13.0815 15.2264 13.6299 15.1351 14.1136 14.9524V14.088C13.8492 14.1695 13.5948 14.2369 13.3501 14.2904C13.1054 14.3409 12.8524 14.3663 12.5909 14.3663C11.9863 14.3663 11.5237 14.1722 11.2032 13.7843C10.8854 13.3964 10.7265 12.8243 10.7265 12.0681C10.7265 11.3456 10.8924 10.7792 11.2242 10.3688ZM20.2763 8.97754V12.9666C20.2763 13.422 20.1779 13.8212 19.981 14.1642C19.787 14.5043 19.5043 14.7671 19.1332 14.9527C18.7648 15.1354 18.3233 15.2268 17.8087 15.2268C17.0438 15.2268 16.4491 15.0244 16.0245 14.6196C15.5998 14.2148 15.3876 13.6582 15.3876 12.9497V8.97754H16.3999V12.8781C16.3999 13.3869 16.518 13.7622 16.7542 14.0039C16.9904 14.2457 17.3532 14.3666 17.8425 14.3666C18.7929 14.3666 19.2682 13.8676 19.2682 12.8696V8.97754H20.2763ZM23.562 11.8449H22.8618V9.82936H23.5283C23.9867 9.82936 24.3297 9.90527 24.5575 10.057C24.7853 10.2088 24.8992 10.459 24.8992 10.8076C24.8992 11.1506 24.7937 11.4092 24.5828 11.5835C24.3719 11.7578 24.0317 11.8449 23.562 11.8449ZM22.8618 15.1424V12.6798H23.8573L25.3336 15.1424H26.481L24.7389 12.4142C25.5375 12.0881 25.9368 11.5414 25.9368 10.7739C25.9368 10.1723 25.7456 9.72252 25.3631 9.42456C24.9807 9.12652 24.3916 8.97754 23.5958 8.97754H21.8538V15.1424H22.8618ZM30.8678 15.1424H27.3794V8.97754H30.8678V9.82936H28.3875V11.5076H30.7116V12.351H28.3875V14.2864H30.8678V15.1424ZM36.3724 14.337C36.9376 13.7973 37.2202 13.0186 37.2202 12.001C37.2202 11.0423 36.9474 10.2988 36.4019 9.77034C35.8564 9.24181 35.0929 8.97754 34.1115 8.97754H32.205V15.1424H33.9301C34.993 15.1424 35.8071 14.874 36.3724 14.337ZM34.0862 9.82092C35.4669 9.82092 36.1572 10.5589 36.1572 12.0347C36.1572 13.5414 35.4148 14.2949 33.9301 14.2949H33.213V9.82092H34.0862ZM40.8267 8.97754H42.5687C43.387 8.97754 43.9789 9.09985 44.3446 9.34438C44.7101 9.58901 44.8929 9.97549 44.8929 10.504C44.8929 10.8695 44.7902 11.1717 44.585 11.4106C44.3824 11.6468 44.0858 11.7999 43.6949 11.8702V11.9124C44.6313 12.0726 45.0995 12.5646 45.0995 13.3883C45.0995 13.9392 44.9125 14.3694 44.5386 14.6786C44.1673 14.9878 43.6471 15.1424 42.9778 15.1424H40.8267V8.97754ZM41.5437 11.6173H42.7248C43.231 11.6173 43.5951 11.5385 43.8173 11.3811C44.0394 11.2208 44.1504 10.9524 44.1504 10.5757C44.1504 10.2299 44.0268 9.98118 43.7793 9.82936C43.5319 9.67469 43.1381 9.59745 42.5982 9.59745H41.5437V11.6173ZM41.5437 12.2245V14.531H42.8302C43.328 14.531 43.702 14.4354 43.9523 14.2443C44.2053 14.0503 44.3318 13.7481 44.3318 13.3377C44.3318 12.9553 44.2025 12.6742 43.9438 12.4943C43.6879 12.3144 43.297 12.2245 42.7712 12.2245H41.5437ZM49.6424 8.97754L47.9974 12.06L46.365 8.97754H45.5804L47.6347 12.7853V15.1424H48.3602V12.7516L50.4186 8.97754H49.6424Z",
      fill: "white"
    }), /*#__PURE__*/_react.default.createElement("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M67.4152 0L80.8426 0.600108L86.2788 12.6776L78.6093 23.7156L65.1089 22.8511L59.5742 9.76524L67.4152 0ZM77.2593 6.96173L67.528 11.213L75.8476 17.6449L77.2593 6.96173ZM76.1326 4.83147L68.3557 1.48329L66.722 8.52299L76.1326 4.83147ZM74.1614 19.2633L65.7095 13.2286L65.9139 21.4059L74.1614 19.2633ZM84.9289 12.6509L79.1692 6.80705L77.649 18.0445L84.9289 12.6509ZM76.1431 20.5777L69.0149 22.4405L77.3976 22.9772L76.1431 20.5777ZM83.8033 15.3023L77.5635 19.95L78.8034 22.3728L83.8033 15.3023ZM80.8519 2.28756L79.6399 4.77524L84.1509 9.36027L80.8519 2.28756ZM79.3419 1.09712L71.4205 0.775615L77.9547 3.63336L79.3419 1.09712ZM66.2584 2.24752L60.71 9.25289L64.4196 10.0386L66.2584 2.24752ZM64.1959 11.4128L60.4685 10.6236L64.3578 19.7854L64.1959 11.4128Z",
      fill: "currentColor"
    }), /*#__PURE__*/_react.default.createElement("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M92.0063 11.4188H91.7173V8.84673H90.9429V14.8825H91.7173V12.0557H91.9832L94.4222 15.0331L95.0117 14.5349L92.6652 11.6966L94.6649 9.15966L94.0754 8.69629L92.0063 11.4188ZM98.7453 8.84668H97.9708V14.8825H101.9V14.1873H98.7453V8.84668ZM104.755 8.84668H108.512V9.54176H105.53V11.3491H107.992V12.0442H105.53V14.1874H108.512V14.8826H104.755V8.84668ZM113.644 8.84668H111.598V14.8824H112.373V12.2988H113.494L115.03 15.033L115.701 14.6275L114.222 12.1831C114.949 11.9629 115.446 11.2331 115.446 10.4917C115.446 9.32168 114.649 8.84668 113.644 8.84668ZM114.637 10.4917C114.637 11.1754 114.14 11.6039 113.39 11.6039H112.373V9.54176H113.62C114.314 9.54176 114.637 9.94728 114.637 10.4917ZM122.417 11.8701C122.417 12.3567 122.382 14.9864 120.278 14.9864C119.307 14.9864 118.14 14.2914 118.14 11.8701C118.14 9.46039 119.284 8.74219 120.278 8.74219C121.238 8.74219 122.417 9.43728 122.417 11.8701ZM118.949 11.8701C118.949 12.7505 119.111 14.2566 120.278 14.2566C121.446 14.2566 121.608 12.7505 121.608 11.8701C121.608 10.9781 121.446 9.47204 120.278 9.47204C119.111 9.47204 118.949 10.9781 118.949 11.8701ZM127.271 14.2566C126.462 14.2566 126.104 13.7122 125.954 12.9707L125.26 13.1907C125.445 14.268 126.15 14.9863 127.271 14.9863C128.381 14.9863 129.179 14.3375 129.179 13.1907C129.179 12.5652 128.89 12.0786 128.346 11.7774L127.063 11.2097C126.601 11.0013 126.254 10.8391 126.254 10.2713C126.254 9.72697 126.74 9.47204 127.237 9.47204C127.896 9.47204 128.208 9.8891 128.346 10.4799L129.086 10.2598C128.843 9.32146 128.254 8.74219 127.248 8.74219C126.3 8.74219 125.48 9.3099 125.48 10.3293C125.48 11.3647 126.172 11.6485 126.96 11.9717C127.036 12.0029 127.113 12.0344 127.191 12.0671C127.239 12.087 127.287 12.1065 127.335 12.1259C127.878 12.3444 128.404 12.5563 128.404 13.2371C128.404 13.9091 127.907 14.2566 127.271 14.2566Z",
      fill: "currentColor"
    })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
      id: "clip0"
    }, /*#__PURE__*/_react.default.createElement("rect", {
      width: "129.818",
      height: "24",
      fill: "currentColor"
    })))))), contractExplorerURL ? /*#__PURE__*/_react.default.createElement("div", {
      className: "g-kleros_footer__title"
    }, /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: contractExplorerURL,
      rel: "noopener noreferrer",
      target: "_blank"
    }, appName + " ", /*#__PURE__*/_react.default.createElement("svg", {
      className: "g-kleros_footer__icon",
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 293.775 293.667"
    }, /*#__PURE__*/_react.default.createElement("g", {
      id: "etherscan-logo-light-circle",
      transform: "translate(-219.378 -213.333)"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      id: "Path_1",
      "data-name": "Path 1",
      d: "M280.433,353.152A12.45,12.45,0,0,1,292.941,340.7l20.737.068a12.467,12.467,0,0,1,12.467,12.467v78.414c2.336-.692,5.332-1.43,8.614-2.2a10.389,10.389,0,0,0,8.009-10.11V322.073a12.469,12.469,0,0,1,12.467-12.47h20.779a12.47,12.47,0,0,1,12.467,12.47v90.276s5.2-2.106,10.269-4.245a10.408,10.408,0,0,0,6.353-9.577V290.9a12.466,12.466,0,0,1,12.465-12.467h20.779A12.468,12.468,0,0,1,450.815,290.9v88.625c18.014-13.055,36.271-28.758,50.759-47.639a20.926,20.926,0,0,0,3.185-19.537,146.6,146.6,0,0,0-136.644-99.006c-81.439-1.094-148.744,65.385-148.736,146.834a146.371,146.371,0,0,0,19.5,73.45,18.56,18.56,0,0,0,17.707,9.173c3.931-.346,8.825-.835,14.643-1.518a10.383,10.383,0,0,0,9.209-10.306V353.152",
      transform: "translate(0 0)"
    }), /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      id: "Path_2",
      "data-name": "Path 2",
      d: "M244.417,398.641A146.808,146.808,0,0,0,477.589,279.9c0-3.381-.157-6.724-.383-10.049-53.642,80-152.686,117.405-232.79,128.793",
      transform: "translate(35.564 80.269)"
    }))))) : null, /*#__PURE__*/_react.default.createElement("div", {
      className: "g-kleros_footer__help"
    }, this.doRenderHelpLink()), /*#__PURE__*/_react.default.createElement("div", {
      className: "g-kleros_footer__social"
    }, /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: repository,
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      focusable: "false",
      "data-prefix": "fab",
      "data-icon": "github",
      className: "g-kleros_footer__icon svg-inline--fa fa-github fa-w-16",
      role: "img",
      viewBox: "0 0 496 512"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z"
    }))), /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: "https://slack.kleros.io/",
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      focusable: "false",
      "data-prefix": "fab",
      "data-icon": "slack",
      className: "g-kleros_footer__icon svg-inline--fa fa-slack fa-w-14",
      role: "img",
      viewBox: "0 0 448 512"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M94.12 315.1c0 25.9-21.16 47.06-47.06 47.06S0 341 0 315.1c0-25.9 21.16-47.06 47.06-47.06h47.06v47.06zm23.72 0c0-25.9 21.16-47.06 47.06-47.06s47.06 21.16 47.06 47.06v117.84c0 25.9-21.16 47.06-47.06 47.06s-47.06-21.16-47.06-47.06V315.1zm47.06-188.98c-25.9 0-47.06-21.16-47.06-47.06S139 32 164.9 32s47.06 21.16 47.06 47.06v47.06H164.9zm0 23.72c25.9 0 47.06 21.16 47.06 47.06s-21.16 47.06-47.06 47.06H47.06C21.16 243.96 0 222.8 0 196.9s21.16-47.06 47.06-47.06H164.9zm188.98 47.06c0-25.9 21.16-47.06 47.06-47.06 25.9 0 47.06 21.16 47.06 47.06s-21.16 47.06-47.06 47.06h-47.06V196.9zm-23.72 0c0 25.9-21.16 47.06-47.06 47.06-25.9 0-47.06-21.16-47.06-47.06V79.06c0-25.9 21.16-47.06 47.06-47.06 25.9 0 47.06 21.16 47.06 47.06V196.9zM283.1 385.88c25.9 0 47.06 21.16 47.06 47.06 0 25.9-21.16 47.06-47.06 47.06-25.9 0-47.06-21.16-47.06-47.06v-47.06h47.06zm0-23.72c-25.9 0-47.06-21.16-47.06-47.06 0-25.9 21.16-47.06 47.06-47.06h117.84c25.9 0 47.06 21.16 47.06 47.06 0 25.9-21.16 47.06-47.06 47.06H283.1z"
    }))), /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: "https://reddit.com/r/Kleros/",
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      focusable: "false",
      "data-prefix": "fab",
      "data-icon": "reddit-alien",
      className: "g-kleros_footer__icon svg-inline--fa fa-reddit-alien fa-w-16",
      role: "img",
      viewBox: "0 0 512 512"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M440.3 203.5c-15 0-28.2 6.2-37.9 15.9-35.7-24.7-83.8-40.6-137.1-42.3L293 52.3l88.2 19.8c0 21.6 17.6 39.2 39.2 39.2 22 0 39.7-18.1 39.7-39.7s-17.6-39.7-39.7-39.7c-15.4 0-28.7 9.3-35.3 22l-97.4-21.6c-4.9-1.3-9.7 2.2-11 7.1L246.3 177c-52.9 2.2-100.5 18.1-136.3 42.8-9.7-10.1-23.4-16.3-38.4-16.3-55.6 0-73.8 74.6-22.9 100.1-1.8 7.9-2.6 16.3-2.6 24.7 0 83.8 94.4 151.7 210.3 151.7 116.4 0 210.8-67.9 210.8-151.7 0-8.4-.9-17.2-3.1-25.1 49.9-25.6 31.5-99.7-23.8-99.7zM129.4 308.9c0-22 17.6-39.7 39.7-39.7 21.6 0 39.2 17.6 39.2 39.7 0 21.6-17.6 39.2-39.2 39.2-22 .1-39.7-17.6-39.7-39.2zm214.3 93.5c-36.4 36.4-139.1 36.4-175.5 0-4-3.5-4-9.7 0-13.7 3.5-3.5 9.7-3.5 13.2 0 27.8 28.5 120 29 149 0 3.5-3.5 9.7-3.5 13.2 0 4.1 4 4.1 10.2.1 13.7zm-.8-54.2c-21.6 0-39.2-17.6-39.2-39.2 0-22 17.6-39.7 39.2-39.7 22 0 39.7 17.6 39.7 39.7-.1 21.5-17.7 39.2-39.7 39.2z"
    }))), /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: "https://twitter.com/kleros_io?",
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      focusable: "false",
      "data-prefix": "fab",
      "data-icon": "twitter",
      className: "g-kleros_footer__icon svg-inline--fa fa-twitter fa-w-16",
      role: "img",
      viewBox: "0 0 512 512"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"
    }))), /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: "https://blog.kleros.io/",
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      className: "g-kleros_footer__icon",
      viewBox: "0 0 17 17",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg"
    }, /*#__PURE__*/_react.default.createElement("rect", {
      x: "0.153076",
      y: "0.152344",
      width: "9.81887",
      height: "3.4366",
      rx: "1.5",
      className: "g-kleros_footer__icon--filled"
    }), /*#__PURE__*/_react.default.createElement("rect", {
      x: "13.4084",
      y: "0.152344",
      width: "3.4366",
      height: "3.4366",
      rx: "1.5",
      className: "g-kleros_footer__icon--filled"
    }), /*#__PURE__*/_react.default.createElement("rect", {
      x: "9.97168",
      y: "13.4082",
      width: "6.87321",
      height: "3.4366",
      rx: "1.5",
      className: "g-kleros_footer__icon--filled"
    }), /*#__PURE__*/_react.default.createElement("rect", {
      x: "0.152832",
      y: "13.4082",
      width: "6.87321",
      height: "3.4366",
      rx: "1.5",
      className: "g-kleros_footer__icon--filled"
    }), /*#__PURE__*/_react.default.createElement("rect", {
      x: "0.152832",
      y: "6.53516",
      width: "16.6921",
      height: "3.4366",
      rx: "1.5",
      className: "g-kleros_footer__icon--filled"
    }))), /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: "https://t.me/kleros",
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      focusable: "false",
      "data-prefix": "fab",
      "data-icon": "telegram-plane",
      className: "g-kleros_footer__icon svg-inline--fa fa-telegram-plane fa-w-24",
      role: "img",
      viewBox: "0 0 448 512"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M446.7 98.6l-67.6 318.8c-5.1 22.5-18.4 28.1-37.3 17.5l-103-75.9-49.7 47.8c-5.5 5.5-10.1 10.1-20.7 10.1l7.4-104.9 190.9-172.5c8.3-7.4-1.8-11.5-12.9-4.1L117.8 284 16.2 252.2c-22.1-6.9-22.5-22.1 4.6-32.7L418.2 66.4c18.4-6.9 34.5 4.1 28.5 32.2z"
    }))), /*#__PURE__*/_react.default.createElement("a", {
      className: "g-kleros_footer__anchor",
      href: "https://www.linkedin.com/company/kleros/",
      rel: "noopener noreferrer",
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      focusable: "false",
      "data-prefix": "fab",
      "data-icon": "linkedin-in",
      className: "g-kleros_footer__icon svg-inline--fa fa-linkedin-in fa-w-14",
      role: "img",
      viewBox: "0 0 448 512"
    }, /*#__PURE__*/_react.default.createElement("path", {
      className: "g-kleros_footer__icon--filled",
      d: "M100.28 448H7.4V148.9h92.88zM53.79 108.1C24.09 108.1 0 83.5 0 53.8a53.79 53.79 0 0 1 107.58 0c0 29.7-24.1 54.3-53.79 54.3zM447.9 448h-92.68V302.4c0-34.7-.7-79.2-48.29-79.2-48.29 0-55.69 37.7-55.69 76.7V448h-92.78V148.9h89.08v40.8h1.3c12.4-23.5 42.69-48.3 87.88-48.3 94 0 111.28 61.9 111.28 142.3V448z"
    })))));
  }

}

Footer.defaultProps = {
  appName: "Kleros",
  contractExplorerURL: "https://etherscan.io/address/0x988b3a538b618c7a603e1c11ab82cd16dbe28069#code",
  repository: "https://github.com/kleros",
  renderHelpLink: null,
  locale: "en",
  footerElProps: {},
  className: ""
};
Footer.propTypes = {
  appName: _propTypes.default.string.isRequired,
  contractExplorerURL: _propTypes.default.string.isRequired,
  repository: _propTypes.default.string,
  renderHelpLink: _propTypes.default.func,
  locale: _propTypes.default.oneOf(Object.keys(content)),
  footerElProps: _propTypes.default.object,
  className: _propTypes.default.string
};
var _default = Footer;
exports.default = _default;